org.eclipse.microprofile.graphql.tck.apps.basic.api

## Class BasicType

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.basic.api.BasicType

All Implemented Interfaces:
  BasicInterface

    @Type(value="BasicMessage")
    public class BasicType
    extends Object
    implements BasicInterface

To Test the generation of a Type even if it's not used (directly) as a return type or argument.

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Constructor Summary

Constructors
Constructor and Description
`BasicType()`
`BasicType(String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getMessage()`
`void` `setMessage(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicType

    public BasicType()

#### BasicType

    public BasicType(String message)

### Method Detail

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `BasicInterface`

#### setMessage

    public void setMessage(String message)

Specified by:
  `setMessage` in interface `BasicInterface`